aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/run_tests/helper_scripts
diff options
context:
space:
mode:
authorGravatar Mehrdad Afshari <mmx@google.com>2017-06-27 17:06:00 -0700
committerGravatar Mehrdad Afshari <mmx@google.com>2017-12-15 13:31:44 -0800
commit4da34aa8f0257174ceb2fd811f2af1a5edab1392 (patch)
tree3b65d84050fd18af8c661a4ab551652a46cfff5d /tools/run_tests/helper_scripts
parentfa98f1d08633be092237c5acf4c706ff66225e9e (diff)
Fix run_lcov.sh to pass shellcheck
Diffstat (limited to 'tools/run_tests/helper_scripts')
-rwxr-xr-xtools/run_tests/helper_scripts/run_lcov.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tools/run_tests/helper_scripts/run_lcov.sh b/tools/run_tests/helper_scripts/run_lcov.sh
index c7b2cfea62..9d8b6793fc 100755
--- a/tools/run_tests/helper_scripts/run_lcov.sh
+++ b/tools/run_tests/helper_scripts/run_lcov.sh
@@ -15,17 +15,17 @@
set -ex
-out=$(readlink -f ${1:-coverage})
+out=$(readlink -f "${1:-coverage}")
-root=$(readlink -f $(dirname $0)/../../..)
+root=$(readlink -f "$(dirname "$0")/../../..")
shift || true
tmp=$(mktemp)
-cd $root
-tools/run_tests/run_tests.py -c gcov -l c c++ $@ || true
-lcov --capture --directory . --output-file $tmp
-genhtml $tmp --output-directory $out
-rm $tmp
+cd "$root"
+tools/run_tests/run_tests.py -c gcov -l c c++ "$@" || true
+lcov --capture --directory . --output-file "$tmp"
+genhtml "$tmp" --output-directory "$out"
+rm "$tmp"
if which xdg-open > /dev/null
then
- xdg-open file://$out/index.html
+ xdg-open "file://$out/index.html"
fi